Tenant/Project Type
Esta página no está disponible en español. Se muestra la versión en inglés.
Get available project types with permissions by user
Fetches all available project types with permissions for a specified user, with optional parameters for pagination, project type filtering, and permission filtering.
Authorization
BearerAuthObject AuthorizationBearer <token>
In: header
Path Parameters
id*integer
The user ID
Query Parameters
limit?integer
Maximum number of project types to return (pagination limit)
Default
30offset?integer
Offset to start pagination
Default
0permission?string
Filter by a specific permission role
projectTypeId?integer
Filter by specific project type ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/project-types/available-permissions-by-user/1?limit=30&offset=0&permission=Viewer&projectTypeId=3"{ "projectTypes": [ { "id": 3, "name": "b2binpay", "alias": "b2binpay_alias", "availablePermissions": [ "Viewer" ], "actions": [ "ProjectTypeUserDelete" ] } ], "pagination": { "maxCount": 20 }}{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Page not found" }}{ "message": { "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}" }}